2014-11-13  Corinna Vinschen  <corinna@vinschen.de>

	* configure.ac: Convert to new AC_INIT style.
	* configure: Regenerate.

2014-08-07  Yaakov Selkowitz  <yselkowi@redhat.com>

	* Makefile.common (COMPILE.cc): Add -fno-use-cxa-atexit.

2014-02-18  Christopher Faylor  <me.cygwin2014@cgf.cx>

	* Makefile.in: Ignore errors on doc install.

2013-01-22  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common: Don't drop -gFOO switches when filtering CFLAGS
	and CXXFLAGS.

2013-11-06  Christopher Faylor  <me.cygwin2013@cgf.cx>

	* Makefile.in: Properly cd to directory sans install_ prefix.  Report
	on errors on doc install.  Only 'all' is special.

2013-11-06  Christopher Faylor  <me.cygwin2013@cgf.cx>

	* configure.ac: Detect windows headers/libs after we've figured out the
	C compiler.
	* configure: Regenerate.
	* aclocal.m4: Regenerate.
	* configure.cygwin: Default to '.' if can't find a winsup directory.

2013-11-06  Christopher Faylor  <me.cygwin2013@cgf.cx>

	* Makefile.in: Reinstate ignoring of errors for doc target.

2013-06-18  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common: Add rule to build assembler code.
	(.SUFFIXES): Add .S.

2012-11-26  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* Makefile.in (Makefile): Rely on 'configure' not 'configure.in'.

2012-11-26  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* configure.ac: Rename from configure.in.
	* configure.in: Delete.
	* configure: Regenerate.

2012-11-26  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* ccwrap: Don't drop mingw header file paths unless we've specified
	them with --with-windows-headers.

2012-11-12  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* Makefile.common: Revamp for new configury.  Add default compilation
	targets, include .E processing.  Add magic for allowing "CFLAGS" to
	control optimization options in "CXXFLAGS".
	* configure.cygwin: New include for Cygwin configure.in's.
	* acinclude.m4: Delete old definitions.  Implement AC_WINDOWS_HEADERS,
	AC_WINDOWS_LIBS, AC_CYGWIN_INCLUDES, target_builddir, winsup_srcdir.
	* aclocal.m4: Regenerate.
	* autogen.sh: New file.
	* ccwrap: New script.
	* c++wrap: New script.
	* config.guess: New script.
	* config.sub: New script.
	* configure: Regenerate.
	* configure.in: Eliminate LIB_AC_PROG_* calls in favor of standard.
	Delete ancient target test.
	* install-sh: New script.

2012-11-07  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* mingw: Delete obsolete directory.
	* w32api: Ditto.

2012-11-07  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common (zlib_source): Remove.
	(zlib_build): Remove.
	(bz2lib_source): Remove.
	(bz2lib_build): Remove.
	(w32api_source): Remove.
	(w32api_build): Remove.
	(w32api_lib): Remove.
	(mingw_build): Remove.
	(mingw_source): Remove.
	($(w32api_lib)/%.a): Remove rule.
	* Makefile.in (ZLIB): Remove.
	($(SUBDIRS)): Drop mingw check.
	(mingw): Remove rule.
	(install_mingw): Ditto.
	* configure.in: Remove support for mingw as build target.
	* configure: Regenerate.

2012-10-24  Kai Tietz  <ktietz70@googlemail.com>
	    Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>
	    Corinna Vinschen  <corinna@vinschen.de>

	* configure.in [cygwin*]: Always build cygserver, lsaauth,
	utils, and doc.  Do not build mingw or w32api.
	[mingw*]: Build w32api if present.
	* configure: Regenerate.
	* Makefile.common: Remove references to mingw and w32api
	directories.
	(MINGW_LDFLAGS): Redefine as -static to force static linking
	with libgcc and libstdc++.
	* Makefile.in: Remove references to mingw and w32api directories
	from Cygwin targets.

2012-07-30  Christopher Faylor  <me.cygwin2012@cgf.cx>

	* Makefile.common (CFLAGS_COMMON): Add temporary define to work around
	w32api problem.

2012-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common (ALL_CFLAGS): Change := to = to allow overriding in
	dependent Makefiles.

2012-01-09  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common (MINGW_LDFLAGS): Correctly use -L rather than -B here.

2011-04-19  Corinna Vinschen  <corinna@vinschen.de>

	* COPYING: Replace with the GPLv3 definition.
	* CYGWIN_LICENSE: Move Cygwin to GPLv3+.  Align text to FSF speak.

2011-01-28  Peter Foley <jpfoley2@verizon.net>

	* configure.in: Configure winsup/cygserver regardless of cross_host.
	* configure: Regenerate.

2009-07-07  Dave Korn  <dave.korn.cygwin@gmail.com>

	* Makefile.common (COMPILE_CXX): Add support for per-file overrides
	to exclude $(nostdinc) and $(nostdincxx) from compiler flags.
	(COMPILE_CC): Likewise for $(nostdinc).

2009-02-23  Sjors Gielen <mailinglist@dazjorz.com>

	* Makefile.in: Add DESTDIR functionality.

2009-01-21  Corinna Vinschen  <corinna@vinschen.de>

	* configure.in: Remove --enable-server option.  Allways add the
	cygserver directory to $SUBDIRS.
	* configure: Regenerate.

2008-10-12  Christopher Faylor  <me+cygwin@cgf.cx>

	* Makefile.in: Revert erroneous checkin.
	* Makefile.common: Tweak to work better with new utils/mingw front-end.

2008-10-11  Christopher Faylor  <me+cygwin@cgf.cx>

	* Makefile.in: Tweak to work better with new utils/mingw front-end.

2008-05-16  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in (install-license): Install COPYING file as well.

2008-05-16  Corinna Vinschen  <corinna@vinschen.de>

	* CYGWIN_LICENSE: New text.

2007-08-31  Christopher Faylor  <me+cygwin@cgf.cx>

	* configure: Regenerate.

2007-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* CYGWIN_LICENSE: Fix URL to world-wide offices.

2007-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* CYGWIN_LICENSE: Fix URL to open source definition.

2006-12-12  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in (subauth): Drop rule.
	* configure.in: Remove subauth related check.
	* configure: Regenerate.

2006-11-27  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in: Add dependencies for lsaauth.
	* configure.in: Disable building subauth.  Add building lsaauth.
	* configure: Regenerate.

2006-08-30  Christopher Faylor  <cgf@timesys.com>

	* Makefile.in: Make install-license .PHONY.  Make sure that doc
	directory is created before copying to it.

2006-08-30  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in: Make installation of CYGWIN_LICENSE configurable.
	* aclocal.m4: Regenerate.
	* configure.in: Add GCC_NO_EXECUTABLES call. Add configuration for
	INSTALL_LICENSE.  Make cygwin subdirectory optional.  Add sanity
	check for cygwin resp. mingw subdirectories dependent of the target.
	* configure: Regenerate.

2006-08-02  Christopher Faylor  <cgf@timesys.com>

	* Makefile.in (subauth): Add dependency on mingw.

2006-07-23  Christopher Faylor  <cgf@timesys.com>

	* Makefile.in: Update copyright.  Fix 'check' target so that it will
	once-again create a working testsuite directory.  Add a comment this
	time to explain the unusual behavior.

2006-07-14  Corinna Vinschen  <corinna@vinschen.de>

	* configure.in: Reenable building the subauth subdir.
	* configure: Regenerate.

2006-05-24  Christopher Faylor  <cgf@timesys.com>

	* configure.in: Update to newer autoconf.
	(thanks to Steve Ellcey)
	* Makefile.in: Ditto.
	* configure: Regenerate.
	* acinclude.m4: New file.
	* aclocal.m4: Ditto.

2006-01-29  Christopher Faylor  <cgf@timesys.com>

	* CYGWIN_LICENSE: Restrict to v2.
	* COPYING: Add.

2006-01-16  Corinna Vinschen  <corinna@vinschen.de>

	* configure.in: Add AC_PROG_INSTALL handling.
	* configure: Regenerate.
	* Makefile.in (install): Install CYGWIN_LICENSE.

2006-01-16  Corinna Vinschen  <corinna@vinschen.de>

	* CYGWIN_LICENSE: Fix contact information.

2005-10-11  Christopher Faylor  <cgf@timesys.com>

	* Makefile.common (CFLAGS_COMMON): Add -Wstrict-aliasing.

2005-03-22  Christopher Faylor  <cgf@timesys.com>

	* Makefile.common: Add -dD to options when creating preprocess files.

2003-11-23  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in: Make cygserver depending on cygwin.

2003-11-20  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Make --use-server the default.
	* configure: Regenerate.

2003-08-05  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Hmm.  Older compilers seem to need -nostdinc.

2003-08-05  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Don't use -nostdinc with g++.

2003-07-25  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Only use localhost when building mingw with distcc or
	gcc won't be able to find .exp files on other hosts.

2003-07-18  Vaclav Haisman  <V.Haisman@sh.cvut.cz>

	* Makefile.common (CFLAGS_COMMON): Remove -march=i386.

2003-07-01  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Add --enable-server option.
	* configure: Regenerate.

2003-07-01  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common (CFLAGS_COMMON): Remove -Winline since it is too
	noisy on newer versions of gcc.

2003-07-01  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Add cygserver subdir.
	* Makefile.in: Ditto.
	* configure: Regenerate.

	* Makefile.common: Remove debugging statements.

2003-05-12  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common: Remove newlib_sys_include and
	newlib_sys_include_include entirely.  Set CRT0 to cygwin/crt0.o.

2003-04-18  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Reorganize to try to allow lack of mingw/w32api to work.

2003-04-11  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common (w32api_lib): Fix w32api detection.

2003-03-28  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common (ALL_CXXFLAGS): Make normal '=' type variable so that
	CXXFLAGS is properly interpreted.

2003-03-17  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common (w32api_lib): Default to system w32api directory if
	w32api is missing from source.

2003-03-17  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Fix typo from previous checkin.

2003-03-17  Christopher Faylor  <cgf@redhat.com>

	* configure.in: w32api directory was already optional.  Semi-revert
	2003-02-06 change.
	* configure: Regenerate.
	* Makefile.common: Don't specific -nostdinc if there is no w32api
	directory.

2003-03-09  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Avoid double slashes in GCC_INCLUDE.

2003-02-12  Christopher Faylor  <cgf@redhat.com>

	* MAINTAINERS: Remove out-of-date file.

2003-02-06  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Make w32api directory optional.
	* configure: Regenerate.

2003-01-22  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common (MINGW_LDFLAGS): Add mingw/mingwex builddir.

2002-12-21  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Don't attempt to pretty-print c++ errors.

2002-12-12  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.common: Define MINGW_LDFLAGS.
	* configure.in: Reorder SUBDIRS to have mingw before cygwin.
	* configure: Regenerate from configure.in.

2002-09-27  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in (check): Be more defensive when creating testsuite
	config.status.

2002-08-16  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Change COMPILE_C* definitions.

2002-08-10  Earnie Boyd  <earnie@users.sf.net>

	* w32sdk: New winsup module.

2002-07-06  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common (MINGW_INCLUDES): Simplify.
	(MINGW_CFLAGS): New.
	(MINGW_CXXFLAGS): Ditto.

2002-06-02  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Complain about lack of w32api directory.
	* configure: Regenerate.

2002-04-25  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Remove cinstall target.
	* Makefile.in: Ditto.
	* configure: Regenerate.

2002-02-19  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Avoid building w32api or mingw if they don't exist.
	* configure: Regenerate.

2001-12-18  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Don't attempt to use zlib directory as a dependency if
	it doesn't exist.

2001-12-14  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Detect zlib subdirectory.
	* configure: Regenerate
	* Makefile.in: Exit immediately if a sub-make fails.
	* Makefile.common: Add automatic rules for bz2lib and zlib.

2001-11-04  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Force configure in testsuite directory if config.status
	does not exist.

2001-11-03  Christopher Faylor  <cgf@redhat.com>

	* configure.in: Disable subauth directory test.
	* configure: Regenerate.
	* Makefile.in: Use MAKE variable in directory builds.

2001-11-03  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Add directory dependencies to ensure ordering when using
	'make -jN'.

2001-11-03  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Remove preferred-stack-boundary setting since gcc
	2.95.3 doesn't work well with it.

2001-11-01  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Add some stuff to common CFLAGS.

2001-10-29  Egor Duda  <deo@logos-m.ru>

	* Makefile.in: Propagate 'clean' to subdirs properly.

2001-10-26  Corinna Vinschen  <corinna@vinschen.de>

	* configure: Regenerate, removing erroneous SUBDIRS substitution.

2001-10-24  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Only build testsuite directory on first 'make check'.
	* configure.in: Remove testsuite from SUBDIRS.
	* configure: Regenerate.

2001-10-12  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in: Add -nostdinc to CXXFLAGS.

2001-10-12  Christopher Faylor  <cgf@redhat.com>

	* Makefile.common: Perform more include file testing trickery.

Sun Oct  7 23:08:46 2001  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Avoid adding -I options to compile if they already
	exist in CC or C*FLAGS.  This prevents warnings from newer versions of
	gcc.

Tue May 15 01:09:56 2001  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Change method for finding current directory.

Sat May  5 00:14:03 2001  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Fix typo.
	* configure: Regenerate.

Fri May  4 11:24:53 2001  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Make subauth configuration optional.
	* configure: Regenerate.

Fri May  4 15:06:00  Corinna Vinschen <corinna@vinschen.de>

	* subauth: New subdirectory.
	* configure.in: Add subauth to the list of subdirectories.
	* configure: Regenerated from configure.in.

Wed Apr 18 18:45:07 2001  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Add bz2lib.

2001-03-19  DJ Delorie  <dj@redhat.com>

	* configure: fix regeneration bug.

Thu Feb 22 13:36:00 2000  Corinna Vinschen <corinna@vinschen.de>

	* Makefile.common: Revert previous change.

Wed Feb 21 22:41:00 2000  Corinna Vinschen <corinna@vinschen.de>

	* Makefile.common: Add `-fvtable-thunks' to COMPILE_CXX.

Sun Dec  3 00:21:31 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Eliminate checks for libgcc.a and libstdc++.a.  Use
	CXX for g++ compiles.
	* configure.in: Find correct c++ compiler.
	* configure: Regenerate.

Mon Oct 23 00:50:02 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common (LIBGCC): Acommodate older gcc's that don't need
	libstdc++.a.

Sat Oct 21 18:01:22 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common (LIBGCC): Find libstdc++.a as well as libc.a since
	builtin functions are in this library in newer gcc's.

Sun Oct  1 22:02:38 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Extend VERBOSE default.
	* Makefile.in: Don't clean the testsuite separately.  It's already part
	of CLEAN_SUBDIRS.

2000-09-30  Christopher Faylor  <cgf@cygnus.com>

	* Makefile.common: Default to VERBOSE when part of overall source
	tree build.

2000-09-02  Egor Duda  <deo@logos-m.ru>

	* Makefile.in: Add new goal "check"
	* configure.in: When doing native build do configure in
	testsuite subdirectory
	* configure: Regenerate.

Fri Sep  1 10:15:37 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: More normalization.

Thu Aug 31 16:37:31 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Normalize 'pwd' based on location of winsup.

Thu Aug 24 15:02:26 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Add bupdir2 to reference above the i686-pc-cygwin
	directory.

Thu Jun 22 18:28:06 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Add dummy info targets.

Tue Jun 20 13:36:23 2000  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Bow to necessity and build w32api before anything else.
	* configure: Regenerate.

Sat Jun 17 13:50:04 2000  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Detect "cross-hosting" situation and add a subset of
	directories to SUBDIRS.
	* configure: Regenerate.

Thu May 25 18:39:24 2000  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Don't assume that cinstall directory exists.
	* configure: Regenerate

2000-05-24  DJ Delorie  <dj@cygnus.com>

	* Makefile.common (%.o): further simplify, add "..." to make it obvious
	it's an abbreviated command line.

Thu May 18 14:33:05 2000  Christopher Faylor <cgf@cygnus.com>

	* MAINTAINERS: Add Corinna to general list.

2000-04-17  DJ Delorie  <dj@cygnus.com>

	* Makefile.common (srcdir): remove dependence on where pwd is
	
Sun Apr  9 23:47:45 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Resolve srcdir to absolute path or it will confuse
	usages when passed to submakes.  Eliminate vestigal use of
	MAKEOVERRIDES.

Sun Apr  9 02:06:49 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Work around MAKEOVERRIDES problem with older versions
	of make.
	* Makefile.common: Ditto.

Fri Apr  7 17:04:02  Ron Parker <rdparker@sourceware.cygnus.com>

	* configure.in: Added cinstall to the list of subdirs.
	* configure: Regenerate.
	
Thu Mar 30 23:45:00 2000  Christopher Faylor <cgf@cygnus.com>

	* MAINTAINERS: Add Ron Parker as maintainer of cinstall stuff.

Sun Feb  6 18:15:44 2000  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Do the standard CC/CFLAGS stuff for propagation to
	sub-configures.
	* configure: Regenerate.

2000-01-26  DJ Delorie  <dj@cygnus.com>

	* doc/Makefile.in: fix doctool -d options

Fri Jan 21 12:51:32 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: No need to rerun Makefile if config.status changes.
	That should happen automatically.
	* Makefile.in: Ditto.

Sat Jan  8 14:40:01 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Remove cygwin DLL specific stuff.  Make Makefile
	target PRECIOUS.
	* Makefile.in: Make Makefile target PRECIOUS.

Fri Jan  7 21:00:49 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.common: Remove cygwin DLL specific stuff.  Correctly deal
	with updir stuff when building in the same directory as the source.

Thu Jan  6 19:04:35 2000  Christopher Faylor <cgf@cygnus.com>

	Create new directory structure
	* Makefile.in: New file.
	* configure.in: New file.
	* configure: New file.
	* Makefile.common: New file.
	* cygwin: New directory.
	* w32api: New directory.
